Name: vzctl
Version: 3.0.16
Release: alt5

Summary: OpenVZ Virtual Environments control utility
License: GPL
Group: System/Configuration/Other
Url: http://openvz.org/
Packager: Dmitry V. Levin <ldv@altlinux.org>

Source: %name-%version-%release.tar

Requires(pre): coreutils, shadow-utils
Requires(post): %post_service
Requires(preun): %preun_service

# these reqs are for vz helper scripts
Requires: vzquota >= 2.7.0-4
Requires: network-config-subsystem

BuildRequires: kernel-headers-ovz-smp, setproctitle-devel

%define _pkgconfdir /etc/vz
%add_findreq_skiplist %_pkgconfdir/dists/scripts/*

%description
OpenVZ is an Operating System-level server virtualization solution, built
on Linux.  OpenVZ creates isolated, secure virtual private servers on a
single physical server enabling better server utilization and ensuring
that applications do not conflict.  Each VE performs and executes exactly
like a stand-alone server; VEs can be rebooted independently and have
root access, users, IP addresses, memory, processes, files, applications,
system libraries and configuration files.

This package contain the control tool to manipulate
OpenVZ Virtual Environments.

%prep
%setup -q -n %name-%version-%release

%build
autoreconf -fisv
%add_optflags -fno-strict-aliasing
%configure --enable-bashcomp --enable-logrotate
%make_build

%install
make install install-altlinux DESTDIR=%buildroot
if [ %_initdir != /etc/init.d ]; then
	mkdir -p `dirname %buildroot%_initdir`
	mv %buildroot/etc/init.d %buildroot%_initdir
fi
chmod 700 %buildroot%_pkgconfdir
chmod 710 %buildroot/var/lib/vz
chmod 700 %buildroot/var/lib/vz/*
chmod 710 %buildroot/var/lib/vz/template
chmod 3770 %buildroot/var/lib/vz/template/cache

install -pD -m600 /dev/null %buildroot/etc/cron.d/vz

%pre
/usr/sbin/groupadd -r -f _vzctl
if [ -L %_pkgconfdir/conf -a -d %_pkgconfdir/conf -a ! -e %_pkgconfdir/conf.rpmsave ]; then
	%__mv %_pkgconfdir/conf %_pkgconfdir/conf.rpmsave
	if [ "$(readlink %_pkgconfdir/conf.rpmsave)" = ../sysconfig/vz-scripts ]; then
		%__mkdir_p %_pkgconfdir/conf &&
		%__mv %_pkgconfdir/conf.rpmsave/* \
			%_pkgconfdir/conf/
	fi
fi

%post
%post_ldconfig
rm -f /dev/vzctl
mknod -m 600 /dev/vzctl c 126 0
if [ $1 -eq 1 ]; then
	/sbin/chkconfig --add vz ||:
fi

%preun
%preun_service vz

%postun -p %postun_ldconfig

%files
%doc ChangeLog
%defattr(-,root,root,-)
%config %_initdir/*
%config(noreplace) /etc/logrotate.d/*
%_datadir/vzctl
%_sbindir/*
%_libdir/lib*
%_mandir/man?/*
%dir %_pkgconfdir
%dir %_pkgconfdir/names
%config(noreplace) %_pkgconfdir/vz.conf
%config(noreplace) %_pkgconfdir/cron
%config %_pkgconfdir/conf
%config %_pkgconfdir/dists
%config /etc/sysconfig/network-scripts/*
%config /etc/net/*/*
%config /etc/udev/rules.d/*
%config /etc/bash_completion.d/*
%ghost /etc/cron.d/vz

%defattr(-,root,_vzctl,-)
/var/lib/vz

%changelog
* Fri May 18 2007 Dmitry V. Levin <ldv@altlinux.org> 3.0.16-alt5
- Updated to vzctl-3.0.16-32-g3c4d0f1.
- vps-net_add.in: Add given IP address to neighbour table
  prior to adding routing for this address (#11192).

* Mon Apr 23 2007 Dmitry V. Levin <ldv@altlinux.org> 3.0.16-alt4
- Updated to vzctl-3.0.16-24-g93eca3a.
- Implemented non-gzipped template cache support.
- Startup script: Added /var/lock/subsys/vz check to "status".

* Fri Apr 20 2007 Dmitry V. Levin <ldv@altlinux.org> 3.0.16-alt3
- Updated to vzctl-3.0.16-22-g2409c72.
- Startup script: Added check for running kernel.
- Enhanced HN etcnet support.

* Sun Mar 25 2007 Dmitry V. Levin <ldv@altlinux.org> 3.0.16-alt2
- vzsplit: Changed /vz to /var/lib/vz (#11112).
- etc/dists/scripts/*: Added /etc/hooks support:
  + etcnet-add_ip.sh: Hooked up /etc/hooks/add_ip.d/
  + etcnet-del_ip.sh: Hooked up /etc/hooks/del_ip.d/
  + postcreate.sh: Hooked up /etc/hooks/post_create.d/
  + redhat-set_hostname.sh: Hooked up /etc/hooks/set_hostname.d/
  + set_dns.sh: Hooked up /etc/hooks/set_dns.d/
  + set_userpass.sh: Hooked up /etc/hooks/set_userpass.d/

* Tue Mar 13 2007 Dmitry V. Levin <ldv@altlinux.org> 3.0.16-alt1
- Updated to vzctl-3.0.16.
- Added fstab /tmp entry workarounds to postcreate.sh.

* Sun Mar 11 2007 Dmitry V. Levin <ldv@altlinux.org> 3.0.15-alt1
- Updated to vzctl-3.0.15-3-gc7374ad.

* Mon Mar 05 2007 Dmitry V. Levin <ldv@altlinux.org> 3.0.14-alt3
- etcnet-add_ip.sh:
  + Fixed adding first ip address.
  + Fixed removing all ip addresses.

* Sun Mar 04 2007 Dmitry V. Levin <ldv@altlinux.org> 3.0.14-alt2
- Updated to vzctl-3.0.14-18-gf92323d.
- vzctl: Reintroduced initial network setup on VE start.
- etcnet-add_ip.sh: Enhanced to ensure that venet0 is not configured
  in VE if no venet parameters specified (#9886).
- vz.conf: Changed DEF_OSTEMPLATE from "fedora-core-4" to "altlinux"
  (#10945).

* Sun Feb 18 2007 Dmitry V. Levin <ldv@altlinux.org> 3.0.14-alt1
- Updated to vzctl-3.0.14-2-ga01572a.
- Relocated vz-scripts and conf directories
  from /etc/sysconfig to %_pkgconfdir
- Created group _vzctl and made /var/lib/vz/template/cache
  writable to this group.

* Thu Nov 30 2006 Dmitry V. Levin <ldv@altlinux.org> 3.0.13-alt2
- vps-functions: More arp handing fixes.

* Sun Nov 26 2006 Dmitry V. Levin <ldv@altlinux.org> 3.0.13-alt1
- Updated to vzctl-3.0.13-1-ge2968e9.
- vps-functions:
  (vzarp, vzarpipdetect, vzarpipset): Fixed arp handling.
  (vzaddrouting4): Enhanced source ip selection (#10324).

* Mon Oct 09 2006 Dmitry V. Levin <ldv@altlinux.org> 3.0.12-alt1
- Updated to 3.0.12.

* Sat Sep 23 2006 Dmitry V. Levin <ldv@altlinux.org> 3.0.11-alt2
- Updated to 3.0.11-2-g27c2c01.
- etc/dists/scripts/*-add_ip.sh:
  Changed FAKEGATEWAY/FAKEGATEWAYNET from
  191.255.255.1/191.255.255.0 to 192.0.2.1/192.0.2.0
  (see RFC 3330 for rationale).
- etc/dists/scripts/etcnet-add_ip.sh: create_venet_config():
  Add "dev venet0" to venet0/ipv4route, to workaround bug
  in old /etc/net/scripts/config-ipv4 ipv4route parser.

* Thu Aug 17 2006 Dmitry V. Levin <ldv@altlinux.org> 3.0.11-alt1
- Updated to 3.0.11.
- arpsend: Fixed long options handling (#9876).
- Changed HOME environment variable from "/" to "/root".
- Changed PATH to "/sbin:/usr/sbin:/bin:/usr/bin".
- Use setproctitle(3) instead of local hacks.
- vzctl enter:
  + Fixed descriptors handling on error path.
  + Fixed off-by-one error which resulted to broken PATH.

* Sat Aug 05 2006 Dmitry V. Levin <ldv@altlinux.org> 3.0.10-alt5
- Updated init.d/vz to ALT policy.
- Fixed bash-isms in shell scripts.
- Dropped obsolete vps-postcreate.
- Cleaned up vzmigrate, vzpid and postcreate.sh a bit.
- Added inittab and syslog.conf workarounds to postcreate.sh.

* Fri Jul 14 2006 Dmitry V. Levin <ldv@altlinux.org> 3.0.10-alt4
- Fixed compilation warnings.
- Added VPS name support (igor@openvz).

* Mon Jun 19 2006 Dmitry V. Levin <ldv@altlinux.org> 3.0.10-alt3
- Requires: network-config-subsystem
- Added create-venet etcnet script.
- Added venet0/options etcnet config.

* Fri Jun 16 2006 Dmitry V. Levin <ldv@altlinux.org> 3.0.10-alt2
- Added %_pkgconfdir/dists/{altlinux{,-2.4,-3.0},owl}.conf configs.
- Added %_pkgconfdir/dists/scripts/etcnet-{add,del}_ip.sh scripts.
- %_initdir/vz: Added cond* targets.

* Thu Jun 15 2006 Dmitry V. Levin <ldv@altlinux.org> 3.0.10-alt1
- Adopted scripts and specfile for Sisyphus.
- Relocated /usr/lib/vzctl/scripts/vps-* scripts to
  /usr/share/vzctl/scripts/.
- Relocated /vz to /var/lib/vz.
- Relocated /var/lib/vzctl/veip to /var/lib/vz/veip.
- Merged libvzctl-simfs into libvzctl.
- Moved g_log symbol definition from vzcfgvalidate to libvzctl.
